import 'package:get/get.dart';
import 'package:sigap/src/features/personalization/data/repositories/officers_repository.dart';
import 'package:sigap/src/features/personalization/data/repositories/profile_repository.dart';
import 'package:sigap/src/features/personalization/data/repositories/roles_repository.dart';
import 'package:sigap/src/features/personalization/data/repositories/users_repository.dart';

class PersonalizationRepositoryBindings extends Bindings {
  @override
  void dependencies() {
    // Register all feature personalization controllers
    Get.lazyPut<UserRepository>(() => UserRepository(), fenix: true);
    Get.lazyPut<OfficerRepository>(() => OfficerRepository(), fenix: true);
    Get.lazyPut<ProfileRepository>(() => ProfileRepository(), fenix: true);
    Get.lazyPut<RolesRepository>(() => RolesRepository(), fenix: true);
  }
}
